#[doc = "Register `CTB_SW_STATUS` reader"]
pub struct R(crate::R<CTB_SW_STATUS_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<CTB_SW_STATUS_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<CTB_SW_STATUS_SPEC>> for R {
    fn from(reader: crate::R<CTB_SW_STATUS_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `CTB_SW_STATUS` writer"]
pub struct W(crate::W<CTB_SW_STATUS_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<CTB_SW_STATUS_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<CTB_SW_STATUS_SPEC>> for W {
    fn from(writer: crate::W<CTB_SW_STATUS_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `OA0O_D51_STAT` reader - see OA0O_D51 bit in OA0_SW"]
pub struct OA0O_D51_STAT_R(crate::FieldReader<bool, bool>);
impl OA0O_D51_STAT_R {
    pub(crate) fn new(bits: bool) -> Self {
        OA0O_D51_STAT_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for OA0O_D51_STAT_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `OA1O_D52_STAT` reader - see OA1O_D52 bit in OA1_SW"]
pub struct OA1O_D52_STAT_R(crate::FieldReader<bool, bool>);
impl OA1O_D52_STAT_R {
    pub(crate) fn new(bits: bool) -> Self {
        OA1O_D52_STAT_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for OA1O_D52_STAT_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `OA1O_D62_STAT` reader - see OA1O_D62 bit in OA1_SW"]
pub struct OA1O_D62_STAT_R(crate::FieldReader<bool, bool>);
impl OA1O_D62_STAT_R {
    pub(crate) fn new(bits: bool) -> Self {
        OA1O_D62_STAT_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for OA1O_D62_STAT_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl R {
    #[doc = "Bit 28 - see OA0O_D51 bit in OA0_SW"]
    #[inline(always)]
    pub fn oa0o_d51_stat(&self) -> OA0O_D51_STAT_R {
        OA0O_D51_STAT_R::new(((self.bits >> 28) & 0x01) != 0)
    }
    #[doc = "Bit 29 - see OA1O_D52 bit in OA1_SW"]
    #[inline(always)]
    pub fn oa1o_d52_stat(&self) -> OA1O_D52_STAT_R {
        OA1O_D52_STAT_R::new(((self.bits >> 29) & 0x01) != 0)
    }
    #[doc = "Bit 30 - see OA1O_D62 bit in OA1_SW"]
    #[inline(always)]
    pub fn oa1o_d62_stat(&self) -> OA1O_D62_STAT_R {
        OA1O_D62_STAT_R::new(((self.bits >> 30) & 0x01) != 0)
    }
}
impl W {
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u32) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "CTB bus switch control status\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [ctb_sw_status](index.html) module"]
pub struct CTB_SW_STATUS_SPEC;
impl crate::RegisterSpec for CTB_SW_STATUS_SPEC {
    type Ux = u32;
}
#[doc = "`read()` method returns [ctb_sw_status::R](R) reader structure"]
impl crate::Readable for CTB_SW_STATUS_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [ctb_sw_status::W](W) writer structure"]
impl crate::Writable for CTB_SW_STATUS_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets CTB_SW_STATUS to value 0"]
impl crate::Resettable for CTB_SW_STATUS_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
